
#ifndef __LED_H
#define __LED_H

#include "FreeRTOS.h"


enum {
    LED_MODE_BLINK_SLOW,
    LED_MODE_BLINK_FAST,
    LED_MODE_FLASH_SLOW,
    LED_MODE_FLASH_FAST,
};


/** Set LED blink mode. */
void led_setMode (uint8_t mode);

/** LED task (keep-alive indicator). */
void led_task (void *pvParameters);
/** Init LED module (prepare task). */
void led_initModule (void);


#endif
